Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::FinDispMolecularHessian Class Reference

Computes the molecular hessian by finite displacements of gradients. More...

`#include <fdhess.h>`

Inheritance diagram for sc::FinDispMolecularHessian:

[legend]
Collaboration diagram for sc::FinDispMolecularHessian:

[legend]
List of all members.

## Public Methods
| FinDispMolecularHessian (const Ref< MolecularEnergy > &)
| FinDispMolecularHessian (const Ref< KeyVal > &)
| FinDispMolecularHessian (StateIn &)
| ~FinDispMolecularHessian ()
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
RefSymmSCMatrix | compute_hessian_from_gradients ()
| These members are used to compute a cartesian hessian from gradients at finite displacements.
int | ndisplace () const
int | ndisplacements_done () const
RefSCMatrix | displacements (int irrep) const
void | displace (int disp)
void | original_geometry ()
void | set_gradient (int disp, const RefSCVector &grad)
void | checkpoint_displacements (StateOut &)
void | restore_displacements (StateIn &)
RefSymmSCMatrix | cartesian_hessian ()
| This returns the cartesian hessian. More...
void | set_checkpoint (int c)
| Set checkpoint option.
int | checkpoint () const
| Return the current value of the checkpoint option.
void | set_energy (const Ref< MolecularEnergy > &energy)
MolecularEnergy * | energy () const
Ref< SCMatrixKit > | matrixkit () const
RefSCDimension | d3natom () const
## Protected Methods
void | get_disp (int disp, int &irrep, int &index, double &coef)
void | do_hess_for_irrep (int irrep, const RefSymmSCMatrix &dhessian, const RefSymmSCMatrix &xhessian)
void | init ()
void | restart ()
## Protected Attributes
Ref< MolecularEnergy > | mole_
Ref< PointGroup > | displacement_point_group_
Ref< PointGroup > | original_point_group_
RefSCVector | original_geometry_
double | disp_
double | accuracy_
int | ndisp_
int | nirrep_
int | restart_
char * | restart_file_
int | checkpoint_
char * | checkpoint_file_
int | only_totally_symmetric_
int | eliminate_cubic_terms_
int | do_null_displacement_
int | debug_
RefSCMatrix | symbasis_
RefSCVector * | gradients_

## Detailed Description

Computes the molecular hessian by finite displacements of gradients.

## Member Function Documentation

RefSymmSCMatrix sc::FinDispMolecularHessian::cartesian_hessian | ( |  | ) |

| This returns the cartesian hessian. If it has not yet been computed, it will be computed by finite displacements.

void sc::FinDispMolecularHessian::save_data_state | ( | StateOut & |  | ) | `[virtual]`

| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data. Reimplemented from sc::SavableState.

The documentation for this class was generated from the following file:

- fdhess.h